<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Service</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>Service</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLLifeline"></span>
                    UMLLifeline
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='0749035ccebfbe58ca3dce31507c6ba6.html'><span class='node-icon _icon-UMLInteraction'></span>Topology_Resource</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='fdd5f3b8c6fc0d8cf1acfda7b5b9122c.html'><span class='node-icon _icon-UMLLifeline'></span>Service: TopologyService</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>Service</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>selector</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>represent</td>
        <td><a href='1a651bd73fce34c14dd25fb5abc25154.html'><span class='node-icon _icon-UMLAttribute'></span>TopologyServiceProvider</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isMultiInstance</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='52e7b6917ea39250463fb4559fc26456.html'><span class='node-icon _icon-UMLMessage'></span>GetService (SDS→Service)</a></li>
        
        <li><a href='fb1f5f84e6929ed2c4de3c25f1c31355.html'><span class='node-icon _icon-UMLMessage'></span>getClient (Service→Abstract)</a></li>
        
        <li><a href='6f78a2930352ee69a801495c40784b76.html'><span class='node-icon _icon-UMLMessage'></span>ClientInstance (Abstract→Service)</a></li>
        
        <li><a href='441626e46f6e0eb85e35d58e08bb58ea.html'><span class='node-icon _icon-UMLMessage'></span>getDevicesFromODL (Service→Client)</a></li>
        
        <li><a href='4c1ac9c5b92c6b94a2f00f4be5c849e2.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></li>
        
        <li><a href='229c766eb1279d8554862b32323e980f.html'><span class='node-icon _icon-UMLMessage'></span>Instantiate (Service→Ied_List)</a></li>
        
        <li><a href='e3e01271d6abda8a30dc5814a2d68aaa.html'><span class='node-icon _icon-UMLMessage'></span>IP_List (Ied_List→Service)</a></li>
        
        <li><a href='26fd42a5afb02c370bc1de22f4c54b59.html'><span class='node-icon _icon-UMLMessage'></span>instanceTopologySerializer (Service→Service)</a></li>
        
        <li><a href='a346436ca0c311aa187866c4a9c0dcbf.html'><span class='node-icon _icon-UMLMessage'></span>getTopoFromODL (Service→Client)</a></li>
        
        <li><a href='cf7a03648b1e79aee7b1b4badf3092d0.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></li>
        
        <li><a href='095358948dfcec4c3868075e35ce7071.html'><span class='node-icon _icon-UMLMessage'></span>InstanceTopology (Service→Topology)</a></li>
        
        <li><a href='44810a647b50d7645762f37c7eeb9824.html'><span class='node-icon _icon-UMLMessage'></span>getInventoryFromODL (Service→Client)</a></li>
        
        <li><a href='757e49f98c3b607088c847496ea42c83.html'><span class='node-icon _icon-UMLMessage'></span>Response (Client→Service)</a></li>
        
        <li><a href='83a0872ffaa4a09656a18a5642f7c74d.html'><span class='node-icon _icon-UMLMessage'></span>addSwitchInfo (Service→Topology)</a></li>
        
        <li><a href='911571e8a172d32c542e8dfd9fe5b1e0.html'><span class='node-icon _icon-UMLMessage'></span>configureWriter (Service→Service)</a></li>
        
        <li><a href='f19d9d4e616bc9e7743e84df77655684.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromAPI (Service→SDS)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            


        </div>
    </body>
</html>
